UPNPD(8)

NAME
upnpd - Linux UPnP Internet Gateway Device daemon.

SYNOPSIS

upnpd [-f] <ext_ifname> <int_ifname>

DESCRIPTION

This manual page documents briefly the upnpd command.

upnpd is a daemon that emulates Microsoft's Internet Connection Service (ICS). It implements the UPnP Internet Gateway Device specification (IGD) and allows UPnP aware clients, such as MSN Messenger to work properly from behind a NAT firewall.

OPTIONS

A summary of options is included below.

-f  Stay in foreground, don't daemonise.

ext_ifname
    External interface name.

int_ifname
    Internal interface name.

Further configuration is performed by upnpd.conf(5).

SIGNALS

SIGUSR1
    Delete all port mappings

SIGINT, SIGTERM
    Shut down the server.

The result of sending any other signals to the server is undefined.

FILES

/etc/upnpd.conf

SEE ALSO
upnpd.conf(5)

AUTHOR

upnpd was written by Glover George and others.

This manual page was written by José Fonseca <j_r_fonseca@yahoo.co.uk>, for the Debian project (but may be used by others).